#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import os
import tempfile

from scilpy.io.fetcher import fetch_data, get_home, get_testing_files_dict

# If they already exist, this only takes 5 seconds (check md5sum)
fetch_data(get_testing_files_dict(), keys=['processing.zip'])
tmp_dir = tempfile.TemporaryDirectory()


def test_help_option(script_runner):
    ret = script_runner.run('scil_validate_and_correct_eddy_gradients.py', '--help')
    assert ret.success


def test_execution_extract_half(script_runner):
    os.chdir(os.path.expanduser(tmp_dir.name))
    in_bvec = os.path.join(get_home(), 'processing', 'dwi.bvec')
    in_bval = os.path.join(get_home(), 'processing', 'dwi.bval')
    ret = script_runner.run('scil_validate_and_correct_eddy_gradients.py',
                            in_bvec, in_bval, "32",
                            'out.bvec',
                            'out.bval',
                            '-f')
    assert ret.success

def test_execution_extract_total(script_runner):
    os.chdir(os.path.expanduser(tmp_dir.name))
    in_bvec = os.path.join(get_home(), 'processing', 'dwi.bvec')
    in_bval = os.path.join(get_home(), 'processing', 'dwi.bval')
    ret = script_runner.run('scil_validate_and_correct_eddy_gradients.py',
                            in_bvec, in_bval, "64",
                            'out.bvec',
                            'out.bval',
                            '-f')
    assert ret.success
